<template>
    <div
        @click="active = !active"
        :class="{'border-teal-light': active}"
        class="py-4 px-6 mr-2 bg-white border-2 border-transparent hover:border-teal-light rounded-lg shadow-md hover:shadow-lg relative group cursor-pointer"
    >
        <div class="absolute pin-t pin-r mt-2 mr-2">
            <i
                class="fa fa-check text-transparent"
                :class="{'text-brown': active, 'group-hover:text-brown-light': !active}"
            ></i>
        </div>

        <div class="lg:flex lg:items-center">
            <div class="lg:mr-4 flex-no-shrink mb-2 lg:mb-0">
                <img
                    alt=""
                    :src="avatar"
                    :class="{'bg-orange-light': !active, 'bg-orange-light': active}"
                    class="mx-auto block h-24 w-24 rounded-full border border-brown group-hover:bg-orange-light group-hover:blur-2"
                >
            </div>

            <div class="text-center lg:text-left">
                <h3 class="text-2xl text-teal-darker font-normal">{{ contact.name }}</h3>
                <p class="text-teal-dark mb-1">{{ contact.title }}</p>
                <h4 class="text-teal-dark mb-3 text-sm">{{  contact.organization }}</h4>

                <a
                    @click.stop=""
                    :href="'mailto:' + contact.email"
                    class="no-underline py-1 px-2 border bg-brown border-brown-dark hover:bg-brown-light rounded text-brown-lightest hover:text-brown font-bold uppercase text-xs"
                >
                    <i class="fa fa-comment"></i>
                </a>
                <a
                    @click.stop=""
                    :href="'mailto:' + contact.email"
                    class="no-underline py-1 px-2 border bg-brown border-brown-dark hover:bg-brown-light rounded text-brown-lightest hover:text-brown font-bold uppercase text-xs"
                >
                    <i class="fa fa-envelope"></i>
                </a>
            </div>
        </div>
    </div>
</template>

<script>
export default {
    props: {
        contact: {}
    },
    data() {
        return {
            active: false,
        }
    },
    computed: {
        avatar() {
            return '/images/avatars/' + this.contact.name.substr(0, this.contact.name.indexOf(' ')).toLowerCase() + '.png';
        }
    },
}
</script>
